Subject: Re: [PATCH] rebase -i: clean error message for --continue after failed exec

From: Johannes Sixt <[email-masked]>
Date: Thu, 25 Aug 2011 15:04:27 +0200

Am 25.08.2011 09:09, schrieb Matthieu Moy:
> Junio C Hamano<[email-masked]>  writes:
>> I wonder if doing something like this would be more direct approach to
>> achieve the same thing.
>
> Not the same thing, but both patches could go well together.
>
> Mine covers
>
>    pick deadbeef
>    exec make test
>    # :-( make test failed, I'm going to fix it
>    hack hack hack
>    git add changes
>    # OK, seems fixed.
>    git rebase --continue
>    # -->  rebase tells me I forgot to commit my fixup patch

This is exactly my use-case that discovered the problem and which I would 
like to see fixed, FWIW.

-- Hannes